Package org.apache.activemq.artemis.jms.persistence.config

## Class PersistedBindings

- java.lang.Object
- - org.apache.activemq.artemis.jms.persistence.config.PersistedBindings

- All Implemented Interfaces:
    `org.apache.activemq.artemis.core.journal.EncodingSupport`

      public class PersistedBindings
      extends java.lang.Object
      implements org.apache.activemq.artemis.core.journal.EncodingSupport

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PersistedBindings()` |
    `PersistedBindings​(PersistedType type, java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBinding​(java.lang.String address)` |
    `void` | `decode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)` |
    `void` | `deleteBinding​(java.lang.String address)` |
    `void` | `encode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)` |
    `java.util.List<java.lang.String>` | `getBindings()` |
    `int` | `getEncodeSize()` |
    `long` | `getId()` |
    `java.lang.String` | `getName()` |
    `PersistedType` | `getType()` |
    `void` | `setId​(long id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistedBindings

          public PersistedBindings()

    - #### PersistedBindings

          public PersistedBindings​(PersistedType type,
                                   java.lang.String name)

      Parameters:
        `type` -
        `name` -

  - ### Method Detail

    - #### decode

          public void decode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)

      Specified by:
        `decode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### encode

          public void encode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)

      Specified by:
        `encode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### getEncodeSize

          public int getEncodeSize()

      Specified by:
        `getEncodeSize` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### getId

          public long getId()

      Returns:
        the id

    - #### setId

          public void setId​(long id)

      Parameters:
        `id` - the id to set

    - #### getType

          public PersistedType getType()

      Returns:
        the type

    - #### getName

          public java.lang.String getName()

      Returns:
        the name

    - #### getBindings

          public java.util.List<java.lang.String> getBindings()

      Returns:
        the bindings

    - #### addBinding

          public void addBinding​(java.lang.String address)

    - #### deleteBinding

          public void deleteBinding​(java.lang.String address)